Name: jabber-jit
Version: 1.1.6
Release: alt2

%def_disable debug

Summary: Jabber ICQ Transport
Group: System/Servers
License: GPL
URL: http://jit.jabberstudio.org/

%define binary_name jabberd-jit

Prefix: %_prefix

PreReq: jabber >= 1.4.2-alt17

Source0: jit-%version.tar.bz2
Source1: jabber-jit.xml
Source2: jit.service.xml
Source3: jit.browse.xml
Source4: jabber-jit.init
Source5: jabber-jit.logrotate

# Don't send s10n auth request to ICQ when a Jabber user
# has authorized subscription from the ICQ user
Patch0: %name-1.1.5-subscribed.patch
# Bring a multi-line string literal to C++ standard
Patch1: %name-1.1.6-ugly-string-literal.patch
# Clean up vCard DESC to be as the user meant it to
Patch2: %name-1.1.5-clean-desc.patch
# /registered resource id that JIT tends to add to its JID
# confuses the hell out of Psi and other clients
Patch3: %name-1.1.2-resource.patch
# Get rid of the "origfrom" attribute hack which is useless
# for the current server, as well as from "name" attribute
# in s10n
Patch4: %name-1.1.6-unhack-attr.patch
# Don't append date to logfile names
Patch5: %name-1.1.5-no-thanks-we-have-logrotate.patch
# Bring code to the C++ standard in order to compile on g++ 3.3
Patch6: %name-1.1.6-g++3.3.patch

# Automatically added by buildreq on Thu Jan 23 2003
BuildRequires: gcc-c++ libstdc++-devel

%description
Jabber ICQ Transport is a Jabber component which provides interoperability
between ICQ and Jabber IM systems. JIT is based on a special fast jabberd
core with pthreads.

%prep
%setup -q -n jit-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%configure \
%if_disabled debug
    --nodebug \
%endif
    --prefix=%prefix

%__subst '/^COMMON_CFLAGS/ s,-I%_includedir ,,' platform-settings
%__subst 's,^OUT_FILE=.*,OUT_FILE=%binary_name,' platform-settings
%if_disabled debug
%__subst '/^COMMON_CFLAGS/ s/-g //' platform-settings
%endif

%make_build

%install
%__install -d -m755 $RPM_BUILD_ROOT%_sbindir
%__install -d -m755 $RPM_BUILD_ROOT%_libdir/%name
%__install -m755 jabberd/%binary_name $RPM_BUILD_ROOT%_sbindir/%binary_name
%__install -m755 jit/jit.so $RPM_BUILD_ROOT%_libdir/%name/jit.so

%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/jabber/include
%__install -m640 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/jabber/jabber-jit.xml
%__install -m640 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/jabber/include/jit.service.xml
%__install -m644 %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/jabber/include/jit.browse.xml

%__mkdir_p $RPM_BUILD_ROOT%_initdir
%__install -m755 %SOURCE4 $RPM_BUILD_ROOT%_initdir/%name

%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/logrotate.d
%__install -m644 %SOURCE5 $RPM_BUILD_ROOT%_sysconfdir/logrotate.d/%name

%post
%post_service %name

%preun
%preun_service %name

%files
%doc AUTHORS README doc/FAQ jit/TODO jit/BUGS
%_sbindir/*
%_libdir/%name
%attr(640,root,jabber) %config(noreplace) %_sysconfdir/jabber/jabber-jit.xml
%attr(640,root,jabber) %config(noreplace) %_sysconfdir/jabber/include/jit.service.xml
%attr(644,root,jabber) %config(noreplace) %_sysconfdir/jabber/include/jit.browse.xml
%config %_initdir/%name
%config %_sysconfdir/logrotate.d/%name

%changelog
* Wed Dec 31 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.6-alt2
- Bring C++ code to the standard in order to compile with g++ 3.3 [Patch6]

* Thu Jul 17 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.6-alt1
- New version
- Patch4 updated
- Updated the init script for start_daemon/stop_daemon

* Sun Mar 23 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.5-alt1
- new version
- Patch0: avoid an unnecessary ICQ auth request when Jabber user authorizes
  an ICQ user's s10n
- Patch1 removed (gone upstream)
- Patch2 updated
- Patch4 updated
- Patch5: don't adorn logfile names with date
- Added logrotate config

* Tue Feb 18 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.4-alt1
- 1.1.4
- Patch0 removed (gone upstream)
- Patch2 updated and enhanced

* Sat Feb 08 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.3-alt1
- 1.1.3
- Updated Patch4 to also strip off illicit name attribute from s10n
- Updated default config
- More stuff in the documents

* Fri Feb 07 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.2-alt3
- Patch4: get rid of origfrom hack attribute

* Thu Feb 06 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.2-alt2
- Patch3: experimental patch to get rid of the /registered resource
- Fixed lockfile name in the init script

* Tue Jan 28 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.2-alt1
- Added init script

* Fri Jan 24 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.2-alt0.2
- Patch2: Clean vCards DESC from IP address info and ego-boosting

* Fri Jan 17 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.2-alt0.1
- Initial pre-release (no good init script as of yet)
